var BigCenter = {
    
    text_object: null,
    
    mode: 'none',
    
    counter: 0,
    
    target: 0,
    
    init: function(text) {
        const style = new PIXI.TextStyle({
            fontFamily: 'Gajraj One',
            fontSize: 72*2,
            fontWeight: 'bold',
            fill: ['#E100EF', '#31F0CC'], // gradient
            stroke: 'white',
            strokeThickness: 4,
            lineJoin: 'round',
        });
        
        this.text_object = new PIXI.Text(text, style);
        this.text_object.anchor.set(0.5);
    },
    
    center: function() {
        this.text_object.x = $(window).innerWidth()/2;
        this.text_object.y = $(window).innerHeight()/2;
    },
    
    setText: function(text) {
        this.text_object.text = text;
        this.text_object.anchor.set(0.5);
    },
    
    fadeIn: function(text) {
        this.setText(text);
        this.text_object.alpha = 0;
        this.text_object.visible = true;
        this.mode = 'fadein';
        this.target = 2 * 60;
        this.counter = 0;
    },
    
    fadeOut: function(text) {
        this.setText(text);
        this.text_object.alpha = 255;
        this.text_object.visible = true;
        this.mode = 'fadeout';
        this.target = 2 * 60;
        this.counter = 0;
    },
    
    animate: function(delta) {
        if (this.mode == 'none') return;
        this.counter += delta;
        if (this.counter > this.target) this.counter = this.target;
        switch (this.mode) {
            case 'fadein':
                this.text_object.alpha = 1.0*(this.counter/this.target);
                break;
            case 'fadeout':
                this.text_object.alpha = 1.0*(1.0-this.counter/this.target);
                break;
        }
        if (this.counter == this.target) this.mode = 'none';
    }
}