// Init game
const game = new PIXI.Application({background: '#000000', autoResize: true,});

$(function() {

    
    // Add to document
    document.body.append(game.view);
    handleResize();
    // Set callback on loader
    Loader.callback = setup;

    // Prepare webfonts and call loader when done...
    window.WebFontConfig = {
        google: {
            families: ['Gajraj One'],
        },
        active() {
            Loader.load();
        },
    };
    
    const wf = document.createElement('script');
    wf.src = 'https://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
    wf.type = 'text/javascript';
    wf.async = 'true';
    const s = document.getElementsByTagName('script')[0];
    s.parentNode.insertBefore(wf, s);

});

function handleResize() {
    // Handle resize
    $(window).resize(resizer);
    resizer();
    
    function resizer() {
        game.renderer.resize($(window).innerWidth(), $(window).innerHeight());
        // Redo star fields
        Level.prepareStarfields();
    }
}

function setup() {
    // Setup
    Spaceship.init();
    Keyboard.init();
    Score.init();
    BigCenter.init('');
    Level.set(1, game.stage);
    
    game.ticker.add(ticker);
}

function ticker(delta) {
    Spaceship.update(delta);
    Level.simulate(delta);
    BigCenter.animate(delta);
}

function distance(x1, y1, x2, y2) {
    return Math.sqrt(Math.pow(Math.abs(x2-x1),2)+Math.pow(Math.abs(y2-y1),2));
}