
class Planet {
    
    constructor(planet_id, x, y) {
        this.file = 'gfx/planet'+planet_id+'.png';
        
        this.sprite = PIXI.Sprite.from(this.file);
        this.sprite.anchor.set(0.5);
        this.sprite.x = x;
        this.sprite.y = y;
        
        this.diameter = 220;
        
        this.type = 'planet';
        
        this.gravity = 50;
    }
    
    getGravityPull(x, y) {
        var dist = distance(this.sprite.x, this.sprite.y, x, y);
        if (dist <= 0) return {x:0,y:0};
        var force = this.gravity / (dist/this.diameter/1.5);

        // Direction between planet and spaceship
        var direction = Math.PI-Math.atan2(y-this.sprite.y, x-this.sprite.x);
        
        // Affect the spaceship, maybe we should just return the vector!
        Spaceship.velocity_x += Math.cos(direction) * force / 60;
        Spaceship.velocity_y -= Math.sin(direction) * force / 60;
        
        return {};
    }
    
}